require( "scripts/style.lua" );

by = 290
bh = 45

MakeDialog
{
    Bitmap
    {
        name="yesnobackground",
		image="backgrounds/dialog",
		x=kCenter,
		y=kCenter,
        
        Button
        {
			font = StandardButtonFont,
			graphics = LongButtonGraphics,
            close = false,
            flags = 5,
            label = "a_easy",
            name = "a_easy",
            x = kCenter,
            y = by-bh+2,
			command=
				function()
					CloseWindow("easy")
				end       
			
        },
        
        Button
        {
            font = StandardButtonFont,
			graphics = LongButtonGraphics,
            close = false,
            flags = 5,
            label = "a_medium",
            name = "a_medium",
            x = kCenter,
            y = by+2,
			command=
				function()		
					CloseWindow("medium")
				end            
        },        
        
        Button
        {
            font = StandardButtonFont,
			graphics = LongButtonGraphics,
            close = false,
            flags = 5,
            label = "a_hard",
            name = "a_hard",
            x = kCenter,
            y = by+bh+2,
			command=
				function()		
					CloseWindow("hard")
				end            
        },        
        
        Button
        {
            font = StandardButtonFont,
			graphics = StandardButtonGraphics,
            close = false,
            flags = 5,
            label = "cancel",
            name = "cancel",
            x = kCenter,
            y = by+bh+bh+6,
			command=
				function()			
					CloseWindow("cancel")
				end                        
        },
        
        Text
		{
			font = DialogTitleFont,
			name = "a_title",
			x=12, y=by-(bh*3.35)+15,
			w=kMax,h=40,
			flags = kVAlignCenter + kHAlignCenter,
			label= "a_title",
		};
		
		Text
		{
			font = DialogBodyFont,
			name = "a_choosediff",
			x=0,y=by-(bh*1.6)+1,
			w=kMax,h=kMax,
			flags = kHAlignCenter,
			label = "a_choosediff",
		};
    },

} -- MakeDialog
